: Class LDAP_Card

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.addressbook.addresscard
Class LDAP_Card

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.LDAP_Card

public class LDAP_Card
extends java.lang.Object
implements ICard

Constructor Summary
`protected` | `LDAP_Card(LDAP_Server aParentSource, netscape.ldap.LDAPEntry anEntry)` Constructor for LDAP server.

Method Summary
`void` | `addAttribute(IAttribute anAttribute)` Add an attribute to the card.
`IAttribute` | `getAttribute(java.lang.String anAttributeName)` Get a value of the address card.
`IAttributeSet` | `getAttributeSet()` Get the full attribute set for this card.
`java.lang.String` | `getDN()` Rerturn the DN
`ICardSource` | `getParent()` Return the parent card source from where this card came from (if any)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAP_Card

    protected LDAP_Card(LDAP_Server aParentSource,
                        netscape.ldap.LDAPEntry anEntry)

  Constructor for LDAP server.

Method Detail

### getParent

    public ICardSource getParent()

  Return the parent card source from where this card came from (if any)
  Specified by:
    getParent in interface ICard

### addAttribute

    public void addAttribute(IAttribute anAttribute)

  Add an attribute to the card. FIX (this updates the server!)
  Specified by:
    addAttribute in interface ICard

### getAttribute

    public IAttribute getAttribute(java.lang.String anAttributeName)

  Get a value of the address card.
  Specified by:
    getAttribute in interface ICard

### getAttributeSet

    public IAttributeSet getAttributeSet()

  Get the full attribute set for this card.
  Specified by:
    getAttributeSet in interface ICard

### getDN

    public java.lang.String getDN()

  Rerturn the DN

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD